package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 打印内容类型
 *
 * @author:
 * @date: 2022/12/26 11:11
 */
public enum PrintContentTypeEnum {
    PRINT_TEXT("text", "文本"),
    PRINT_PAGEING("pageing", "分页"),
    PRINT_IMG("img", "图片"),
    PRINT_BARCODE("barcode", "条形码"),
    PRINT_QRCODE("qrcode", "二维码"),
    PRINT_SEPARATE("separate", "分隔符"),
    ;
    private String value;
    private String desc;

    PrintContentTypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static PrintContentTypeEnum getByValue(String value) {
        for (PrintContentTypeEnum BusizTypeEnum : PrintContentTypeEnum.values()) {
            if (BusizTypeEnum.getValue().equals(value)) {
                return BusizTypeEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (PrintContentTypeEnum item : PrintContentTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}